Notas de Lanzamiento del IDE NetBeans 6.9.1

El IDE NetBeans es un entorno de desarrollo integrado (IDE) modular y basado en estándares, escrito con el lenguaje de programación Java. El proyecto de NetBeans consta de un IDE de código abierto y gran variedad de funciones escrito con el lenguaje de programación Java y una plataforma para aplicaciones de cliente enriquecidas que se puede utilizar como marco genérico para crear cualquier tipo de aplicación. Para más información relacionada con la instalación del software en vuestro ordenador, lea las Instrucciones de Instalación del IDE NetBeans 6.9.1. Para conocer las nuevas funcionalidades incluidas en este lanzamiento del IDE, vaya a la página de Información del Lanzamiento del IDE NetBeans 6.9.1.

Contenido

Novedades de la versión 6.9.1

El IDE NetBeans 6.9.1 es una actualización menor del IDE NetBeans 6.9, la cual introduce las siguientes mejoras:

  • Disponibilidad del último SDK de JavaFX (1.3.1) incluido con el IDE
  • Mejoras en el depurador de JavaFX
  • Se han corregido problemas importantes en la usabilidad del compositor y del editor de JavaFX
  • Se han corregido problemas críticos provocados por otros módulos desde el lanzamiento final de la versión 6.9

Las siguientes actualizaciones del lanzamiento de la versión 6.8 incluidos en la versión 6.9 también se aplican en la versión 6.9.1:

  • Compositor JavaFX para facilitar y visualizar el desarrollo JavaFX
  • Compatibilidad para los frameworks OSGi de Equinox y Felix, en la plataforma NetBeans
  • Compatibilidad para la biblioteca del Framework Spring 3.0
  • Java CardTM 3 Conectada
  • Compatibilidad Beta para Rails 3.0
  • Compatibilidad con framework PHP Zend
  • Compatibilidad para JSR-299, CDI (Contexts and Dependency Injection)
  • Otras mejoras adicionales se listan en la página Novedades i notoriedades del IDE NetBeans 6.9.

Nota: JDK (Java TM SE Development Kit) 5.0, para este lanzamiento no está soportado en ninguna plataforma. Para instalar y ejecutar el IDE NetBeans 6.9.1 se necesita disponer del JDK 6.0 en vuestro ordenador.


Para más información relacionada con este lanzamiento, visitar la página de Información del Lanzamiento del IDE NetBeans 6.9.1.

Tecnologías Compatibles

El IDE NetBeans 6.9 es compatible con las siguientes tecnologías y ha estado probado con los siguientes servidores de aplicaciones. Si tiene previsto usar versiones que no sean las que aparecen en esta lista, tenga en cuenta que el IDE puede comportarse de forma imprevista. Vea la página de Plataformas Compatibles del IDE NetBeans 6.9.1 para más detalles de las plataformas y entornos de ejecución probados para este lanzamiento.

Tecnologías compatibles:
  • Java EE 5, Java EE 6 y J2EE 1.4
  • SDK de JavaFX 1.3.1
  • Java ME SDK 3.0
  • Java Card 3.0.2
  • Struts 1.3.8
  • Spring 3.0, 2.5
  • Hibernate 3.2.5
  • API de Java para Servicios Web de RESTful (JAX-RS) 1.1
  • Seguimiento de Incidencias
    • Bugzilla 3.4 y anteriores
    • Jira 3.4 y anteriores
  • PHP 5.3, 5.2, 5.1
  • Ruby 1.9, 1.8
  • JRuby 1.5.0
  • Rails 2.3.4, 3.0 Beta
  • Groovy 1.6.4
  • Grails 1.1
  • VCS
    • CVS: 1.11.x, 1.12.x
    • Subversion: 1.5.x, 1.6.x
    • Mercurial: 1.0.x o posterior
    • ClearCase V7.0
   

Servidores de aplicaciones probados:
  • Servidor GlassFish OSE (Open Source Edition) 3.0.1
  • GlassFish Enterprise Server v2.1.1
  • Sun Java System Application Server PE 8.2
  • WebLogic 11g (10.3.3.0)
  • Tomcat 6.0.26
  • Tomcat 5.5
  • JBoss 5.0
  • JBoss 4.2.3 (J2EE 1.4)

Requisitos del sistema

El IDE NetBeans funciona en sistemas operativos compatibles con la máquina virtual Java y se ha probado en las plataformas que aparecen a continuación.

Nota: La resolución de pantalla mínima para el IDE es de 1.024x768 píxeles.


Sistemas Operativos Compatibles

Configuraciones de Hardware Mínimas

  • Microsoft Windows XP Professional SP3/Vista SP1/Windows 7 Professional:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio en disco: 750 MB de espacio libre en el disco
  • Ubuntu 9.10:
    • Procesador: Intel Pentium III o equivalente a 800 MHz
    • Memoria: 512 MB
    • Espacio en disco: 650 MB de espacio libre en el disco
  • Solaris OS versión 10 (SPARC):
    • Procesador: UltraSPARC II a 450 MHz
    • Memoria: 512 MB
    • Espacio en disco: 650 MB de espacio libre en el disco
  • Solaris OS versión 10 (x86/x64 Platform Edition):
    • Procesador: AMD Opteron serie 1200 a 1,8 GHz
    • Memoria: 512 MB
    • Espacio en disco: 650 MB de espacio libre en el disco
  • Macintosh OS X 10.5 Intel:
    • Procesador: Intel Dual-Core (32 o 64 bits)
    • Memoria: 512 MB
    • Espacio en disco: 650 MB de espacio libre en el disco

Configuraciones de Hardware Recomendadas

  • Microsoft Windows XP Professional SP3/Vista SP1/Windows 7 Professional:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio en disco: 1 GB de espacio libre en el disco
  • Ubuntu 9.10:
    • Procesador: Intel Pentium IV o equivalente a 2,6 GHz
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco
  • Solaris OS versión 10 (SPARC):
    • Procesador: UltraSPARC IIIi a 1 GHz
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco
  • Solaris OS versión 10 (x86/x64 Platform Edition):
    • Procesador: AMD Opteron serie 1200 a 2,8 GHz
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco
  • OpenSolaris 2010.03 (x86/x64 platform edition):
    • Procesador: AMD Opteron serie 1200 a 2,8 GHz
    • Memoria: 2 GB
    • Espacio en disco: 650 MB de espacio libre en el disco
  • Macintosh OS X 10.6 Intel:
    • Procesador: Intel Dual-Core (32 o 64 bits)
    • Memoria: 2 GB
    • Espacio en disco: 850 MB de espacio libre en el disco


Se sabe que el IDE NetBeans puede ejecutarse en otras distribuciones de Linux, como Oracle Enterprise Linux 5, Ubuntu 8.x y 10.04, Red Hat Enterprise Linux y muchas otras más.

Nota: La compatibilidad Web de NetBeans y de Java EE requieren de muchos recursos de sistema - especialmente cuando se utilizan en combinación con servidores de aplicaciones. Los siguientes requerimientos de sistema se aplican en la mayoría de configuraciones del IDE, pero, para mejores resultados asegúrese que vuestro ordenador cumpla como mínimo con los requisitos recomendados cuando se desarrollen aplicaciones Web y Java EE.

Requisitos de software

El IDE NetBeans funciona con el JDK (Java SE Development Kit), que consta del JRE (Java Runtime Environment) además de herramientas para desarrolladores para la compilación, depuración y ejecución de aplicaciones escritas en lenguaje Java.

Las versiones probadas de JDK para este lanzamiento son:

  • Se necesita la actualización 13 del JDK 6 o posteriores. La versión 6.9.1 del IDE no puede instalarse o ejecutarse mediante el JDK 5.0.

Nota: Los paquetes de NetBeans para PHP, Ruby y C/C++ solamente necesitan el JRE (Java Runtime Environment) 6 para poder ser instalados y ejecutados.


Puede descargar JDK para la plataforma que desee desde uno de los siguientes sitios:

arriba

Compatibilidad JavaFX

Con el lanzamiento del IDE NetBeans 6.9.1 se incluye el SDK para JavaFX 1.3.1. Tenga en cuenta lo siguiente:

  • La versión anterior mínima soportada del JDK para JavaFX 1.3.1 es JDK 6 Actualización 20 para Windows y JDK 5 Actualización 16 para Mac OS.
  • Denote que en Mac OS se necesita el JDK 6.0 para poder ejecutar e instalar el IDE NetBeans 6.9.1, no obstante se puede utilizar el JDK 5.0 para el desarrollo utilizando el SDK de JavaFX 1.3.1.
  • Consulte la página de Requisitos del sistema del SDK de JavaFX para obtener más información sobre los requisitos de sistema y las funcionalidades soportadas en el SDK de JavaFX.

arriba

Editor de SQL y Bases de Datos

Se han realizado los siguientes cambios en la funcionalidad de bases de datos del IDE NetBeans 6.9.1:

  • Controladores actualizados. Los controladores de MySQL incluidos en NetBeans IDE se han actualizado a la versión 5.1.6.
  • Controladores probados

    El IDE NetBeans 6.9.1 ha sido probado con las siguientes bases de datos y controladores.

    Controlador
    Versión
    Ejemplo de URL
    JavaDB Derby 10.4.1.3 jdbc:derby://localhost:1527/sample (Red)
    Oracle Bases de datos de Oracle 11g (11.1.0.7 ) jdbc:oracle:thin:@//localhost:1521:ora9i
    PostgreSQL 8.x jdbc:postgresql://jsmith.mycompany.com:5432/postgres
    MySQL MySQL Connector/J 5.1.6 jdbc:mysql://localhost:3306/sample
  • Otros controladores

    Los siguientes controladores y bases de datos no se han probado de forma oficial, pero la experiencia indica que deberían funcionar correctamente.

    Controlador
    Versión
    Ejemplo de URL
    Microsoft Controlador JDBC de Microsoft SQL Server 2005 versión 1.2.2828.100 jdbc:sqlserver://localhost:1433;databaseName=travel;selectMethod=cursor
    IBM Controlador DB2 JDBC de tipo 4 v8 fixpack 13 redistribuible jdbc:db2://localhost:50002/sample
    jTDS jTDS 1.2.1 jdbc:jtds:sqlserver://test-mycompany.com:1433/travel
    DataDirect DataDirect Connect para JDBC - 3.6, DataDirect Connect para JDBC - 3.6.07 jdbc:datadirect:oracle://localhost;SID=ora9i jdbc:datadirect:sqlserver://localhost:1433;DatabaseName=travel;SelectMethod=cursor jdbc:datadirect:db2://localhost:50002;databaseName=sample
    Pointbase 5.2 ECF compilación 294

     

    jdbc:pointbase://localhost:29092/sample

     

  • Para información acerca de solución de problemas con Bases de Datos dirijase al FAQ para Usuarios de Conectividad de Bases de Datos de NetBeans

arriba

Información sobre la compatibilidad multilíngüe

El IDE NetBeans está traducido a: Portugués brasileño (BR), Japonés (JP) y Chino simplificado(ZH).

Las traducciones del IDE realizadas por la comunidad también están disponibles en varios idiomas adicionales y se pueden descargar desde la sección de Contribuciones de la Comunidad del menú desplegable Idioma del IDE.

arriba

Compatibilidad con versiones previas

Cuando se ejecuta el IDE por primera vez después de haber finalizar la instalación, se presenta la opción de importar algunas preferencias utilizadas en instalaciones previas. Si no se opta por la importación de preferencias desde una instalación previa, el IDE se abre utilizando las preferencias predeterminadas. Denote que el IDE solamente reconoce instalaciones previas cuando el directorio de usuario reside en la localización predeterminada. No se reconocen instalaciones que utilicen del interruptor --userdir para especificar un directorio de usuario. Si desea importar las preferencias desde una localización que el instalador no reconoce, haga lo siguiente:

  1. Inicie el IDE y en menú principal vaya a Herramientas > Opciones.
  2. En el diálogo de Opciones, haga clic en el botón Importar.
  3. En el diálogo de Seleccionar Opciones a Importar, haga clic en el botón de Navegar, y diríjase al directorio de usuario que contenga las preferencias que desea importar. Para más información sobre userdir del IDE NetBeans, lea el FAQ ¿Qué es userdir y donde puedo encontrarlo?

Nota: Si edita las Propiedades de Proyecto en el IDE NetBeans 6.9.1 para un proyecto que fue creado en el IDE NetBeans 4.1 o anterior, el proyecto no volverá a funcionar en las versiones previas del IDE NetBeans.

arriba

Funciones y módulos archivados

No volverán a estar incluidos en el instalador del IDE: SOA, UML y los módulos Visual Web así como la compatibilidad para jMaki, JAX-RPC y el añadido de bibliotecas JavaScript. Para más información sobre las funcionalidades quitadas y sus alternativas disponibles, vea la página de Funcionalidades archivadas del IDE NetBeans.

arriba

Problemas conocidos: Instalador

Éstos son los problemas no resueltos del instalador en esta versión:

  • Problema nº 93568: En Solaris y Linux, la instalación se bloquea cuando se pierde la conexión de red.

    Descripción: En las plataformas Solaris y Linux, si se pierde la conexión de red, la instalación se bloquea cuando el instalador busca un JDK compatible en los directorios de red.

    Solución: Restaure la conexión de red y continúe con la instalación.

  • Problema nº 117172: Aparece una ventana en blanco al ejecutar el instalador en Ubuntu.

    Descripción: El diálogo del instalador aparece en blanco/gris cuando se ejecuta en Ubuntu con Beryl/Compiz/Compiz Fusion instalado.

    Solución: Ejecute el comando export AWT_TOOLKIT=MToolkit antes de ejecutar el instalador.

  • Problema nº 123300. En Fedora Core 8, el instalador deja de mostrar la interfaz y vuelve a la consola.

    Descripción: En Fedora Core 8, la interfaz desaparece y el sistema vuelve a la consola.

    Solución: Consulte https://netbeans.org/servlets/ReadMsg?list=nbusers&msgNo=98765.

  • El asistente de instalación del IDE NetBeans 6.9.1 no se inicia correctamente (se cuelga). Ocurre después de que el usuario detiene el proceso de instalación manualmente y el programa de instalación le informe de que hay otra instancia del instalador en ejecución.

    Descripción: En Windows, si se utiliza Java6 de forma predeterminada y se almacenan archivos zip de gran tamaño en el escritorio, el asistente de instalación no se inicia correctamente (se cuelga). Ocurre después de que el usuario detiene el proceso de instalación manualmente y el programa de instalación le informe de que hay otra instancia del instalador en ejecución.

    Solución: Antes de la instalación, elimine todos los archivos zip de gran tamaño del escritorio.

  • Problema nº177872: En Mac OS X, el complemento de GlassFish 3.01, y las herramientas de actualización no funcionan correctamente

    Descripción: En Mac OS X, los complementos basados con pkg y las herramientas de actualización no funcionan correctamente bajo cuentas que no sean administrativas si GlassFish v3.01 fue instalado como usuario administrativo (root).

    Solución: Utilice el comando chown -R para cambiar los permisos de usuario de la instalación de GlassFish y asígnelos al usuario no administrativo que los necesite. Por ejemplo: sudo chrown -R <nuevousuario>:admin /Applications/NetBeans/glassfish-3.0.1, donde nuevousuario es el usuario sin derechos administrativos. Después de utilizar este comando, el usuario puede ejecutar directamente las herramientas bin/updatetool y bin/pkg.

  • Para información adicional de resolución de problemas relacionados con el Instalador, diríjase a las FAQ de usuario para Instalación de NetBeans.

arriba

Problemas conocidos: Núcleo del IDE

Éstos son los problemas no resueltos de esta versión:

  • Dificultades al iniciar el IDE (Solaris x86 y Opteron Dual Core).

    Descripción: En algunas configuraciones de Solaris x86 y procesador Opteron Dual Core, pueden surgir problemas al iniciar el IDE debido a un error del JDK con la carga de bibliotecas GTK look&feel.

    Solución: Si experimenta este problema, especifique la siguiente opción de línea de comandos: -laf javax.swing.plaf.metal.MetalLookAndFeel

  • Los caracteres no aparecen correctamente en algunas configuraciones regionales asiáticas.

    Descripción: Al ejecutar el IDE con algunas configuraciones regionales asiáticas en Ubuntu y en otras distribuciones de Linux, puede que el texto de la pantalla del IDE resulte ilegible. En determinadas distribuciones de Linux, los caracteres multibyte pueden aparecer como rectángulos debido a problemas con la configuración de fuentes del JDK.

    Solución: Consulte las FAQ para obtener ayuda sobre la solución del problema: http://wiki.netbeans.org/FaqI18nLinuxAsianFonts

  • Problema nº 64840: La comunicación de red se interrumpe en Linux si IPv6 está habilitado.

    Descripción: La comunicación de red se interrumpe en Linux si IPv6 está habilitado, lo que impide que el IDE se conecte a servidores agrupados, a las actualizaciones automáticas, etc.

    Solución: Si surge este problema, ejecute el IDE con la instrucción switch -J-Djava.net.preferIPv4Stack=true'. También puede deshabilitar IPv6 (en /etc/módulos.conf o /etc/modprobe.conf).

    Para obtener más información consulte: Problema nº 5087907.

  • Problema nº 167401: El IDE se bloquea de forma aleatoria en los sistemas MacOS X que utilizan JDK 1.6.0 actualización 13

    Descripción: El IDE se puede bloquear de forma aleatoria al navegar por la barra del menú principal debido al error nº 6993269 del JDK de Apple.

    Solución: Cambie a una versión diferente del JDK, o bien modifique las opciones predeterminadas de inicio del fichero netbeans.conf a -J-Dapple.laf.useScreenMenuBar=false.

  • Problema nº 110074: El editor se bloquea de forma periódica en Solaris.

    Descripción: Al ejecutar el IDE en Solaris con JDK 6, 6u1 o 6u2, los subprocesos pueden bloquearse durante mucho tiempo y provocar que el editor no responda.

    Solución: Actualice la instalación de JDK 6 a la Actualización 3 o alguna más reciente.

  • Problema nº 88776: La aplicación perfilada puede fallar al crear perfiles con el modo de adjuntar de forma dinámica.

    Descripción: Al ejecutarse en JDK 1.6, el creación del perfil de una aplicación con el modo de adjuntar de forma dinámica puede provocar un fallo de la aplicación perfilada.

    Solución: Inicie la aplicación que desea perfilar con la instrucción de switch -Xshare:off.

    Consulte también: Problema nº 113847.

  • Problema nº 119617: El cursor se pierde en el editor y no se puede escribir con el teclado

    Descripción: Algunas veces, tras usar una sugerencia de la ventana del editor, puede ocurrir que el punto de inserción del editor desaparezca y no pueda escribir con el teclado. Este problema ha surgido sobre todo en Mac OS X 10.4, pero también han surgido casos en algunas versiones de Ubuntu.

    Solución: utilice el ratón para abrir y cerrar una ventana de cuadro de diálogo (por ejemplo, un cuadro de diálogo de propiedades). De esta forma el editor vuelve a aparecer correctamente, y el funcionamiento del punto de inserción y del teclado vuelve a ser normal.

  • Problema nº130357: I18N - Mac OS no generará javadoc si el nombre del proyecto o su ruta contienen caracteres multibyte

    Descripción: La tarea de javadoc está escrita con MacRoman, la codificación predeterminada en Mac OS, cuando se crea el fichero de parámetros temporal. Esto puede producirse por partes de BSD o de Mach (llamadas a sistema & kernel) que aceptan parámetros en UTF-8, pero Mac OS y HFS únicamente aceptan MacRoman.

    Solución: Evite utilizar caracteres multibyte en el nombre o en la ruta del proyecto.

  • Problema nº 152916: Surgen dificultades al iniciar el IDE en Mac OS X 10.5.5 de 64 bits mediante JDK 1.6_07

    Descripción: En determinadas configuraciones de Mac OS X 10.5.5 de 64 bits con JDK 1.6_07 definido como la plataforma Java predeterminada del sistema, pueden surgir problemas al iniciar el IDE desde el Finder y desde la línea de comandos.

    Solución: Actualice a una versión más reciente el JDK 6.0.

  • Problema nº 158421: Surgen dificultades al utilizar el IDE con el Recolector de Basura G1

    Descripción: Si utiliza el Recolector de Basura G1 (en JDK 6 Actualización 14 o posterior y en JDK 7), puede que se produzcan excepciones durante el uso del IDE.

    Solución: No utilice el Recolector de Basura G1 (elimine -XX:+UnlockExperimentalVMOptions -XX:+UseG1GC en netbeans.conf o desde la línea de comandos).

  • Para información adicional sobre la resolución de problemas en el núcleo del IDE, diríjase al FAQ de usuarios de NetBeans.

arriba

Problemas conocidos: Web y Java EE

Éstos son los problemas no resueltos de Web y de Java EE de esta versión:

  • Problema nº183614: Paso a Paso, no funciona correctamente con EJB.

    Descripción: Cuando se depura un servlet, Paso a Paso a una llamada a EJB se para en un código sin alguna relación.

    Solución: Ponga un punto de interrupción en el código de implementación del EJB y utilice Paso a través.

  • Problema nº178108: Las clases Metamodel para entidades JPA gestionadas no se generan de forma automática

    Descripción: Las clases Metamodel para las correspondientes entidades gestionadas no se generan. Al construir consultas de tipos seguros (typesafe), que utilizan la API Criteria y la clase metamodel, no funcionan.

    Solución: Vea la descripción del problema nº178108 para las opciones de resolución.

  • Para información adicional sobre la resolución de problemas Web y Java EE, diríjase al FAQ de usuarios de NetBeans.

arriba

Problemas conocidos: Java ME

NetBeans permite desarrollar aplicaciones basadas en Java ME en dispositivos MIDP, CLDC y CDC.

Éstos son los problemas no resueltos de Java ME de esta versión:

  • Linux, Solaris y otros sistemas operativos no son compatibles con Java ME SDK 3.0.

    Descripción: Mobility y el SDK de Java ME 3.0 de NetBeans 6.9.1, empaquetados en este lanzamiento, únicamente son compatibles con los sistemas operativos de Windows y de Macintosh.

    Solución: El instalador de Linux trae empaquetado Sun Java Wireless Toolkit 2.5.2.

  • El módulo Java ME no funciona si el nombre del directorio, la ruta al directorio de instalación, o bien el directorio de usuario contiene caracteres que no son ASCII.

    Descripción: El SDK de Java ME 3.0 no es compatible con caracteres que no sean ASCII en las rutas del proyecto.

    Solución: Asegúrese que su directorio de usuario no contenga caracteres que no sean ASCII. En este caso, cambie el directorio de usuario predeterminado del IDE.

  • Problema nº 139031: El emulador no se inicia en Windows si el binario de Java no se encuentra en la ruta del entorno.

    Descripción: El SDK de Java ME y otros emuladores no se inician en Windows si Java.exe no se encuentra en la ruta.

    Solución: Instale el JDK con la configuración predeterminada o, si va a realizar una instalación personalizada, asegúrese de seleccionar el JRE público para la instalación. Si la versión de JDK ya está instalada, puede agregar el archivo Java.exe a la configuración de la ruta del sistema.

  • Para información adicional sobre la resolución de problemas con Java ME, diríjase al FAQ de usuarios de Java ME/Mobility de NetBeans.

arriba

Problemas conocidos: C/C++

NetBeans C/C++ es compatible con aplicaciones C y C++ en Microsoft Windows, Macintosh OS X, Linux y el sistema operativo SolarisTM. Los desarrolladores de C/C++ pueden integrar aplicaciones existentes en el sistema del proyecto de NetBeans o desarrollar aplicaciones y bibliotecas nuevas. La compatibilidad de NetBeans C/C++ abarca todo el ciclo de desarrollo: proyectos y plantillas, un avanzado editor compatible con el lenguaje, versiones basadas en la creación de archivos y depuración.

Para obtener información sobre la instalación y configuración de los compiladores y herramientas de compatibilidad con NetBeans C/C++, consulte la sección sobre Instalación y Configuración de la Compatibilidad con C/C++.

Éstos son los problemas no resueltos de C/C++ de esta versión:

  • Problema nº 148204: En las plataformas Windows, los datos introducidos por el usuario no funcionan en la ventana de Salida al depurar

    Descripción: En las plataformas Windows, si se depura una aplicación y el tipo de consola para el proyecto sale por la Ventana de Salida, no se puede introducir ningún dato en dicha ventana. Este problema no afecta al desarrollo mediante un host remoto.

    Solución: defina Terminal Externa como el tipo de consola; para ello, haga clic con el botón derecho del ratón en el nodo del proyecto de la ventana de Proyectos, seleccione el nodo de Ejecución en el cuadro de diálogo Propiedades del Proyecto, seleccione Terminal externa en la lista desplegable Tipo de consola y haga clic en Aceptar.

  • Problema nº121775: Se necesita la última versión de Xcode para la depuración en Tiger (Mac OS X 10.4)

    Descripción: Cuando se depura en Mac OS Tiger (Mac OS X 10.4), el código generado por la versión predeterminada de los compiladores, gcc y g++, tienen una línea de información incorrecta y los puntos de interrupción pueden ser ignorados.

    Solución: Apple ha lanzado una actualización del paquete Xcode (versión 2.5) que corrige este problema. Las versiones correctas de gcc, g++, y gdb son:

    • gcc: 4.0.1 - Apple build 5367
    • g++: 4.0.1 - Apple build 5367
    • gdb: 6.3.50 - Apple build 573 (20/10/2006)

    La versión actualizada de Xcode está disponible en: http://developer.apple.com/tools/download.

  • Para información adicional de resolución de problemas y soporte para C/C++, diríjase al FAQ de C/C++ para NetBeans.

arriba

Más información

Puede encontrar noticias, artículos, módulos adicionales y otra información de utilidad en el sitio web del proyecto de NetBeans. NetBeans es un proyecto de código abierto, esto le permite acceder al código fuente, a la base de datos de errores, a información sobre la creación de módulos de NetBeans propios y a muchos más contenidos. Para obtener más información, visite http://www.netbeans.org.

Documentación

Para dar un vistazo a las funcionalidades del IDE NetBeans 6.9.1, vea nuestros tutoriales y screencasts que se encuentran en nuestra web. Consulte estas páginas con frecuencia; se actualizan con contenidos nuevos permanentemente.

Recursos de documentación de referencia adicional incluyen:

  • El FAQ de usuarios de NetBeans que tienen consejos para solucionar y reparar problemas diversos no incluidos en las Notas del Lanzamiento.
  • El sistema integrado de ayuda del IDE tiene información detallada de soporte para las funcionalidades incluidas en todos los módulos del IDE NetBeans.
  • Para más información sobre las equivalencias de teclado, consejos, trucos, y otros temas específicos de Mac, diríjase a la Usando el IDE NetBeans en Mac OS X.

Comunidad

Si desea estar al día con los últimos desarrollos e interactuar con la comunidad de NetBeans, regístrese en las listas de correo del proyecto de NetBeans en https://netbeans.org/community/lists/.

Puede publicar preguntas en http://forums.netbeans.org/. Los foros están sincronizadas con las listas de correo de NetBeans de mayor uso. Tenga en cuenta que para participar en los foros debe realizar otro registro.

Visite la página de información sobre traducciones de la comunidad en http://translatedfiles.netbeans.org/ para saber cómo colaborar con idiomas adicionales para la interfaz de usuario (UI) de NetBeans, con la ayuda, y con la documentación de usuario.



arriba

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2013, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo